%define dist .fc6

Name:    kasumi
Version: 2.0.1
Release: 1.1%{?dist}.XOS.1

License: GPL
URL:     http://kasumi.sourceforge.jp/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: desktop-file-utils, gtk2-devel gettext-devel anthy-devel automake autoconf
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.desktop
Patch0:	kasumi-1.0-gcc41.patch
Patch1: kasumi-2.0.1-errorcode.patch


Summary: An anthy dictionary management tool.
Group:   Applications/Text
%description
Kasumi is a dictionary management tool for Anthy.


%prep
%setup -q
%patch0 -p1 -b .gcc41
%patch1 -p1 -b .errcode
aclocal
automake --add-missing
autoconf

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

desktop-file-install \
  --vendor fedora                                  \
  --dir ${RPM_BUILD_ROOT}/%{_datadir}/applications \
  --add-category X-Fedora                          \
  %{SOURCE1}


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root, -)
%{_bindir}/kasumi
%{_datadir}/kasumi
%{_datadir}/applications/fedora-kasumi.desktop
%doc AUTHORS COPYING ChangeLog NEWS README


%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 2.0.1-1.1.fc6.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on kasumi-2.0.1-1.1.fc6.src.rpm
  (md5sum of original source rpm: c93903e9265a8269699eebbd8d207fd1).
- Include "dist" macro with value ".fc6" to match the original release number.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Fri Jun 30 2006 Akira TAGOH <tagoh@redhat.com> - 2.0.1-1
- New upstream release.
- use dist tag.
- kasumi-2.0.1-errorcode.patch: fixed not working when the private dictionary is empty. (#197313)

* Wed Jun  7 2006 Akira TAGOH <tagoh@redhat.com> - 2.0-2
- added anthy-devel, automake and autoconf to BuildReq. (#194121)

* Tue May 30 2006 Akira TAGOH <tagoh@redhat.com> - 2.0-1
- New upstream release.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0-1.fc5.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0-1.fc5.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Dec 15 2005 Akira TAGOH <tagoh@redhat.com> - 1.0-1
- New upstream release.
- kasumi-1.0-gcc41.patch: build with -ffriend-injection to temporarily get it
  built with gcc-4.1.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Oct 13 2005 Akira TAGOH <tagoh@redhat.com> - 0.10-1
- New upstream release.

* Tue Aug 16 2005 Akira TAGOH <tagoh@redhat.com> - 0.9-3
- Rebuild

* Tue Aug  9 2005 Akira TAGOH <tagoh@redhat.com>
- added dist tag in Release.

* Fri Aug  5 2005 Akira TAGOH <tagoh@redhat.com> - 0.9-2
- Import into Core.
- clean up spec file.

* Wed Jun 29 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.9-1
- Initial packaging for Fedora Extras

